<template>
	<view class="content">
		<view class="content-money">
			<view class="money-box">
				<image src="../../static/img/qbbg.png" mode=""></image>
				<view class="money">
					<text>￥</text>
					{{ money | getMoneyStyle }}
				</view>
			</view>
		</view>
		<view class="navbar">
			<view v-for="(item, index) in navList" :key="index" class="nav-item" :class="{ current: tabCurrentIndex === index }" @click="tabClick(index)">{{ item.text }}</view>
		</view>
		<swiper :current="tabCurrentIndex" :style="{ height: maxheight + 'px' }" class="swiper-box" duration="300" @change="changeTab">
			<swiper-item class="tab-content" v-for="(tabItem, tabIndex) in navList" :key="tabIndex">
				<scroll-view scroll-y="true" class="list-scroll-content" @scrolltolower="loadData">
					<!-- 空白页 -->
					<empty v-if="tabItem.loaded === true && tabItem.orderList.length === 0"></empty>
					<!-- 订单列表 -->
					<view class="order-item flex" v-for="(item, index) in tabItem.orderList" :key="index" @click="showItem(item)">
						<view class="title-box">
							<view class="title">
								<text>{{ item.title }} </text>
								<text>{{item.status == 0 ? (' ' + ' ' + ' (冻结中)'):''}}</text>
							</view>
							<view class="time">
								<text>{{ item.add_time }}</text>
							</view>
						</view>
						<view class="money">
							<text>{{ (item.pm == 0 ? '-' : '+') + item.number }}</text>
						</view>
					</view>
					<uni-load-more :status="tabItem.loadingType"></uni-load-more>
				</scroll-view>
			</swiper-item>
		</swiper>
		<view class="moneyTx" ><view class="btn" @click="navto('./withdrawal')">提现</view></view>
	</view>
</template>

<script>
import { getSpreadCount } from '@/api/user.js';
import { spreadCommission, userBalance } from '@/api/wallet.js';
import { mapState, mapMutations } from 'vuex';
import { getMoneyStyle } from '@/utils/rocessor.js';
import uniLoadMore from '@/components/uni-load-more/uni-load-more.vue';
import empty from '@/components/empty';
export default {
	filters: {
		getMoneyStyle
	},
	components: {
		empty,
		uniLoadMore
	},
	computed: {
		...mapState('user', ['userInfo', 'orderInfo', 'hasLogin'])
	},
	onReady() {
		//初始化获取页面宽度
		uni.createSelectorQuery()
			.select('.content')
			.fields(
				{
					size: true
				},
				data => {
					console.log(data);
					console.log(Math.floor((data.width / 750) * 300));
					//保存头部高度
					this.maxheight = data.height - Math.floor((data.width / 750) * 570);
					console.log(this.maxheight);
				}
			)
			.exec();
	},
	data() {
		return {
			// 头部图高度
			maxheight: '',
			tabCurrentIndex: 0,
			navList: [
				{
					state: 0,
					text: '收入',
					loadingType: 'more',
					orderList: [],
					page: 1, //当前页面
					limit: 10 //每次信息条数
				},
				{
					state: 1,
					text: '支出',
					loadingType: 'more',
					orderList: [],
					page: 1, //当前页面
					limit: 10 //每次信息条数
				}
			],
			money: ''
		};
	},
	onLoad(options) {},
	onShow() {
		this.loadData();
		//获取用户余额
		getSpreadCount({}, 3).then(({ data }) => {
			console.log(data);
			this.money = data.count;
		});
		// userBalance({}).then(({ data }) => {
		// 	this.money = data.orderStatusSum;
		// });
	},
	methods: {
		navto(e) {
			uni.navigateTo({
				url: e
			});
		},
		async loadData(source) {
			//这里时将订单挂载到tab列表下
			let index = this.tabCurrentIndex;
			let navItem = this.navList[index];
			let state = navItem.state + 3;
			if (source === 'tabChange' && navItem.loaded === true) {
				//tab切换只有第一次需要加载数据
				return;
			}
			if (navItem.loadingType === 'loading') {
				//防止重复加载
				return;
			}
			//修改当前对象状态为加载中
			navItem.loadingType = 'loading';

			spreadCommission(
				{
					page: navItem.page,
					limit: navItem.limit
				},
				state
			)
				.then(({ data }) => {
					if (data.length > 0) {
						navItem.orderList = navItem.orderList.concat(data[0].list);
						console.log(navItem.orderList);
						navItem.page++;
					}
					//判断是否还有数据, 有改为more, 没有改为noMore
					if (navItem.limit == data.length) {
						navItem.loadingType = 'more';
						return;
					} else {
						navItem.loadingType = 'noMore';
					}
					uni.hideLoading();
					this.$set(navItem, 'loaded', true);
				})
				.catch(e => {
					console.log(e);
				});
		},
		//swiper 切换
		changeTab(e) {
			this.tabCurrentIndex = e.target.current;
			this.loadData('tabChange');
		},
		//顶部tab点击
		tabClick(index) {
			this.tabCurrentIndex = index;
		},
		showItem(item) {
			uni.showModal({
				title: '佣金明细',
				content: item.mark,
				showCancel: false
			});
		}
	}
};
</script>

<style lang="scss">
page {
	background: #ffffff;
	height: 100%;
}
.content-money {
	padding-bottom: 30rpx;
	background: $page-color-base;
	.buttom-box {
		background-color: #ffffff;
		text-align: center;
		margin: 0 30rpx;
		padding: 20rpx 0;
		border-radius: $border-radius-sm;
		margin-top: -60rpx;
		.buttom {
			font-size: $font-lg;
			flex-grow: 1;
		}
		.interval {
			width: 2px;
			height: 60rpx;
			background-color: #eeeeee;
		}
		.icon {
			height: 50rpx;
			width: 48rpx;
			margin: 0 auto;
			.icon-img {
				width: 100%;
				height: 100%;
			}
		}
	}
}
.money-box {
	// background-color: $base-color;
	// padding-top: var(--status-bar-height);
	height: 400rpx;
	color: #ff4c4c;
	text-align: center;
	position: relative;
	image {
		position: absolute;
		top: 0;
		right: 0;
		height: 100%;
		width: 100%;
		// z-index: 1;
	}
	.text {
		padding-top: 147rpx;
		font-size: $font-sm;
		position: relative;
	}
	.money {
		padding-top: 175rpx;
		// margin: auto 0;
		font-size: 56rpx;
		font-weight: bold;
		color: #ff4c4c;
		position: relative;
		.money-icon {
			font-size: 38rpx;
			font-weight: bold;
			color: #ff4c4c;
		}
	}
}

.navbar {
	display: flex;
	height: 40px;
	padding: 0 5px;
	background: #fff;
	box-shadow: 0 1px 5px rgba(0, 0, 0, 0.06);
	position: relative;
	z-index: 10;
	.nav-item {
		flex: 1;
		display: flex;
		justify-content: center;
		align-items: center;
		height: 100%;
		font-size: 15px;
		color: $font-color-dark;
		position: relative;
		&.current {
			color: $base-color;
			&:after {
				content: '';
				position: absolute;
				left: 50%;
				bottom: 0;
				transform: translateX(-50%);
				width: 44px;
				height: 0;
				border-bottom: 2px solid $base-color;
			}
		}
	}
}
//列表

.swiper-box {
	padding-top: 10rpx;
	.order-item {
		padding: 20rpx 30rpx;
		line-height: 1.5;
		.title-box {
			.title {
				font-size: $font-lg;
				color: $font-color-base;
			}
			.time {
				font-size: $font-base;
				color: $font-color-light;
			}
		}
		.money {
			color: #fd5b23;
			font-size: $font-lg;
		}
	}
}
.list-scroll-content {
	height: 100%;
}
.content {
	height: 100%;
	.empty-content {
		background-color: #ffffff;
	}
}
.moneyTx {
	width: 750rpx;
	height: 88rpx;
	background-color: #fff;
	.btn {
		margin: 0 auto;
		width: 674rpx;
		height: 88rpx;
		line-height: 88rpx;
		background: #ff4c4c;
		border-radius: 44rpx;
		font-size: 36rpx;
		font-family: PingFang SC;
		font-weight: 500;
		color: #ffffff;
	}
	position: fixed;
	bottom: 51rpx;
	right: 0;
	left: 0;
	text-align: center;
	margin: 0 auto;
}
</style>
